### Function

# Gio content_type_can_be_executable

#### Declaration

    gboolean
    g_content_type_can_be_executable (
      const gchar* type
    )

#### Description

Checks if a content type can be executable. Note that for instance things like text files can be executables (i.e. scripts and batch files).

#### Parameters

`type`

  Type: `const gchar*`

  A content type string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the file type corresponds to a type that can be executable, `FALSE` otherwise.